org.apache.tinkerpop.gremlin.groovy.jsr223

## Class GremlinGroovyScriptEngineFileSandboxTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.groovy.jsr223.GremlinGroovyScriptEngineFileSandboxTest

-     public class GremlinGroovyScriptEngineFileSandboxTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinGroovyScriptEngineFileSandboxTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `destroy()`
    `void` | `setup()`
    `void` | `shouldEvalAsGroovyPropertiesWhenWhiteListed()`
    `void` | `shouldEvalAsTheMethodIsWhiteListed()`
    `void` | `shouldEvalOnGAsTheMethodIsWhiteListed()`
    `void` | `shouldPreventMaliciousStuffWithFile()`
    `void` | `shouldPreventMaliciousStuffWithSystemButAllowSomeMethodsOnSystem()`
    `void` | `shouldSuccessfullyInstantiateGroovyScriptEngineWithEmptyStaticVariableTyping()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GremlinGroovyScriptEngineFileSandboxTest

          public GremlinGroovyScriptEngineFileSandboxTest()

  - ### Method Detail

    - #### setup

          public void setup()
                     throws Exception

      Overrides:
        `setup` in class `AbstractGremlinTest`
      Throws:
        `Exception`

    - #### destroy

          public static void destroy()

    - #### shouldSuccessfullyInstantiateGroovyScriptEngineWithEmptyStaticVariableTyping

          public void shouldSuccessfullyInstantiateGroovyScriptEngineWithEmptyStaticVariableTyping()
                                                                                            throws Exception

      Throws:
        `Exception`

    - #### shouldEvalAsTheMethodIsWhiteListed

          public void shouldEvalAsTheMethodIsWhiteListed()
                                                  throws Exception

      Throws:
        `Exception`

    - #### shouldEvalAsGroovyPropertiesWhenWhiteListed

          public void shouldEvalAsGroovyPropertiesWhenWhiteListed()
                                                           throws Exception

      Throws:
        `Exception`

    - #### shouldPreventMaliciousStuffWithSystemButAllowSomeMethodsOnSystem

          public void shouldPreventMaliciousStuffWithSystemButAllowSomeMethodsOnSystem()
                                                                                throws Exception

      Throws:
        `Exception`

    - #### shouldPreventMaliciousStuffWithFile

          public void shouldPreventMaliciousStuffWithFile()
                                                   throws Exception

      Throws:
        `Exception`

    - #### shouldEvalOnGAsTheMethodIsWhiteListed

          public void shouldEvalOnGAsTheMethodIsWhiteListed()
                                                     throws Exception

      Throws:
        `Exception`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.